KDE 4.2 PyKDE API Reference

- KDE's Python API

# Processor Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on processors.

## Enumerations

InstructionSet | { NoExtensions, IntelMmx, IntelSse, IntelSse2, IntelSse3, IntelSse4, Amd3DNow, AltiVec }

## Methods

| __init__ (self, QObject backendObject)
bool | canChangeFrequency (self)
Solid.Processor.InstructionSets | instructionSets (self)
int | maxSpeed (self)
int | number (self)

## Static Methods

Solid.DeviceInterface.Type | deviceInterfaceType ()

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new Processor object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

bool canChangeFrequency | ( |  | self ) |

Indicates if the processor can change the CPU frequency.

True if a processor is able to change its own CPU frequency. (generally for power management).

Returns:
  true if the processor can change CPU frequency, false otherwise

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the Processor device interface.

Returns:
  the Processor device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type

Solid.Processor.InstructionSets instructionSets | ( |  | self ) |

Queries the instructions set extensions of the CPU.

Returns:
  the extensions supported by the CPU

int maxSpeed | ( |  | self ) |

Retrieves the maximum speed of the processor.

Returns:
  the maximum speed in MHz

int number | ( |  | self ) |

Retrieves the processor number in the system.

Returns:
  the internal processor number in the system, starting from zero

## Enumeration Documentation

InstructionSet

This enum contains the list of architecture extensions you can query.

Enumerator:

  NoExtensions = 0x0 |
  IntelMmx = 0x1 |
  IntelSse = 0x2 |
  IntelSse2 = 0x4 |
  IntelSse3 = 0x8 |
  IntelSse4 = 0x10 |
  Amd3DNow = 0x20 |
  AltiVec = 0x40 |